diff -r 1646adc7793b src/odepkg_octsolver_radau.cc
--- a/src/odepkg_octsolver_radau.cc	Sun Jan 20 20:52:16 2019 +0100
+++ b/src/odepkg_octsolver_radau.cc	Sun Jan 20 21:30:32 2019 +0100
@@ -114,7 +114,7 @@
   varin(0) = X; varin(1) = A;
   for (octave_idx_type vcnt = 0; vcnt < vradauextarg.length (); vcnt++)
     varin(vcnt+2) = vradauextarg(vcnt);
-  octave_value_list vout = feval (vradauodefun.function_value (), varin, 1);
+  octave_value_list vout = octave::feval (vradauodefun.function_value (), varin, 1);
 
   // Return the results from the function evaluation to the Fortran
   // solver, again copy them and don't just create a Fortran vector
@@ -200,14 +200,14 @@
   octave_value vy = octave_value (A);
 
   // Check if an 'Events' function has been set by the user
-  if (!vradauevefun.is_empty ()) {
+  if (!vradauevefun.isempty ()) {
     vradauevesol = odepkg_auxiliary_evaleventfun 
       (vradauevefun, vt, vy, vradauextarg, 1);
-    if (!vradauevesol(0).cell_value ()(0).is_empty ())
+    if (!vradauevesol(0).cell_value ()(0).isempty ())
       if (vradauevesol(0).cell_value ()(0).int_value () == 1) {
         ColumnVector vttmp = vradauevesol(0).cell_value ()(2).column_vector_value ();
         Matrix vrtmp = vradauevesol(0).cell_value ()(3).matrix_value ();
-        vt = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+        vt = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
         vy = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
         IRTRN = (vradauevesol(0).cell_value ()(0).int_value () ? -1 : 0);
       }
@@ -219,7 +219,7 @@
 
   // Check if an 'OutputFcn' has been set by the user (including the
   // values of the options for 'OutputSel' and 'Refine')
-  if (!vradaupltfun.is_empty ()) {
+  if (!vradaupltfun.isempty ()) {
     if (vradaurefine.int_value () > 0) {
       ColumnVector B(N); double vtb = 0.0;
       for (octave_idx_type vcnt = 1; vcnt < vradaurefine.int_value (); vcnt++) {
@@ -320,8 +320,8 @@
   if (nargin >= 4) {
 
     // Fourth input argument != OdePkg option, need a default structure
-    if (!args(3).is_map ()) {
-      octave_value_list tmp = feval ("odeset", tmp, 1);
+    if (!args(3).isstruct ()) {
+      octave_value_list tmp = octave::feval ("odeset", tmp, 1);
       vodeopt = tmp(0).scalar_map_value ();       // Create a default structure
       for (octave_idx_type vcnt = 3; vcnt < nargin; vcnt++)
         vradauextarg(vcnt-3) = args(vcnt); // Save arguments in vradauextarg
@@ -331,7 +331,7 @@
     else if (nargin > 4) {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "ode2r";
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value ();       // Create structure from args(4)
       for (octave_idx_type vcnt = 4; vcnt < nargin; vcnt++)
@@ -342,7 +342,7 @@
     else {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "ode2r"; // Check structure
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value (); // Create a default structure
     }
@@ -350,7 +350,7 @@
   } // if (nargin >= 4)
 
   else { // if nargin == 3, everything else has been checked before
-    octave_value_list tmp = feval ("odeset", tmp, 1);
+    octave_value_list tmp = octave::feval ("odeset", tmp, 1);
     vodeopt = tmp(0).scalar_map_value (); // Create a default structure
   }
 
@@ -362,7 +362,7 @@
   // Implementation of the option RelTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vreltol = vodeopt.contents ("RelTol");
-  if (vreltol.is_empty ()) {
+  if (vreltol.isempty ()) {
     vreltol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"RelTol\" not set, new value %3.1e is used",
@@ -379,7 +379,7 @@
   // Implementation of the option AbsTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vabstol = vodeopt.contents ("AbsTol");
-  if (vabstol.is_empty ()) {
+  if (vabstol.isempty ()) {
     vabstol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"AbsTol\" not set, new value %3.1e is used",
@@ -409,7 +409,7 @@
   // The option NormControl will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnorm = vodeopt.contents ("NormControl");
-  if (!vnorm.is_empty ())
+  if (!vnorm.isempty ())
     if (vnorm.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"NormControl\" will be ignored by this solver");
@@ -417,14 +417,14 @@
   // The option NonNegative will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnneg = vodeopt.contents ("NonNegative");
-  if (!vnneg.is_empty ())
+  if (!vnneg.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"NonNegative\" will be ignored by this solver");
 
   // Implementation of the option OutputFcn has been finished, this
   // option can be set by the user to another value than default value
   vradaupltfun = vodeopt.contents ("OutputFcn");
-  if (vradaupltfun.is_empty () && nargout == 0) vradaupltfun = "odeplot";
+  if (vradaupltfun.isempty () && nargout == 0) vradaupltfun = "odeplot";
 
   // Implementation of the option OutputSel has been finished, this
   // option can be set by the user to another value than default value
@@ -445,7 +445,7 @@
     error_with_id ("OdePkg:InvalidOption",
       "Fixed time stamps are not supported by this solver");
   }
-  if (vinitstep.is_empty ()) {
+  if (vinitstep.isempty ()) {
     vinitstep = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialStep\" not set, new value %3.1e is used",
@@ -455,7 +455,7 @@
   // Implementation of the option MaxStep has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxstep = vodeopt.contents ("MaxStep");
-  if (vmaxstep.is_empty () && args(1).length () == 2) {
+  if (vmaxstep.isempty () && args(1).length () == 2) {
     vmaxstep = (args(1).vector_value ()(1) - args(1).vector_value ()(0)) / 12.5;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MaxStep\" not set, new value %3.1e is used", 
@@ -471,19 +471,19 @@
   // options can be set by the user to another value than default
   vradaujacfun = vodeopt.contents ("Jacobian");
   octave_idx_type vradaujac = 0; // We need to set this if no Jac available
-  if (!vradaujacfun.is_empty ()) vradaujac = 1;
+  if (!vradaujacfun.isempty ()) vradaujac = 1;
 
   // The option JPattern will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vradaujacpat = vodeopt.contents ("JPattern");
-  if (!vradaujacpat.is_empty ())
+  if (!vradaujacpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"JPattern\" will be ignored by this solver");
 
   // The option Vectorized will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vradauvectorize = vodeopt.contents ("Vectorized");
-  if (!vradauvectorize.is_empty ())
+  if (!vradauvectorize.isempty ())
     if (vradauvectorize.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"Vectorized\" will be ignored by this solver");
@@ -492,7 +492,7 @@
   // options can be set by the user to another value than default
   vradaumass = vodeopt.contents ("Mass");
   octave_idx_type vradaumas = 0;
-  if (!vradaumass.is_empty ()) {
+  if (!vradaumass.isempty ()) {
     vradaumas = 1;
     if (vradaumass.is_function_handle () || vradaumass.is_inline_function ())
       warning_with_id ("OdePkg:InvalidOption",
@@ -502,7 +502,7 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   vradaumassstate = vodeopt.contents ("MStateDependence");
-  if (!vradaumassstate.is_empty ())
+  if (!vradaumassstate.isempty ())
     if (vradaumassstate.string_value ().compare ("weak") != 0) // 'weak' is default
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MStateDependence\" will be ignored by this solver");
@@ -510,14 +510,14 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmvpat = vodeopt.contents ("MvPattern");
-  if (!vmvpat.is_empty ())
+  if (!vmvpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MvPattern\" will be ignored by this solver");
 
   // The option MassSingular will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmsing = vodeopt.contents ("MassSingular");
-  if (!vmsing.is_empty ())
+  if (!vmsing.isempty ())
     if (vmsing.string_value ().compare ("maybe") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MassSingular\" will be ignored by this solver");
@@ -525,21 +525,21 @@
   // The option InitialSlope will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vinitslope = vodeopt.contents ("InitialSlope");
-  if (!vinitslope.is_empty ())
+  if (!vinitslope.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialSlope\" will be ignored by this solver");
 
   // The option MaxOrder will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vmaxder = vodeopt.contents ("MaxOrder");
-  if (!vmaxder.is_empty ())
+  if (!vmaxder.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MaxOrder\" will be ignored by this solver");
 
   // The option BDF will be ignored by this solver, the core Fortran
   // solver doesn't support this option
   octave_value vbdf = vodeopt.contents ("BDF");
-  if (!vbdf.is_empty ())
+  if (!vbdf.isempty ())
     if (vbdf.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"BDF\" will be ignored by this solver");
@@ -548,12 +548,12 @@
   // this solver, IT NEEDS TO BE CHECKED IF THE FORTRAN CORE SOLVER
   // CAN HANDLE THESE OPTIONS
   octave_value vntol = vodeopt.contents ("NewtonTol");
-  if (!vntol.is_empty ())
+  if (!vntol.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NewtonTol\" will be ignored by this solver");
   octave_value vmaxnewton = 
     vodeopt.contents ("MaxNewtonIterations");
-  if (!vmaxnewton.is_empty ())
+  if (!vmaxnewton.isempty ())
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxNewtonIterations\" will be ignored by this solver");
 
@@ -600,9 +600,9 @@
   octave_value vtim = args(1).vector_value ()(0);
   octave_value vsol = args(2);
   odepkg_auxiliary_solstore (vtim, vsol, 0);
-  if (!vradaupltfun.is_empty ()) odepkg_auxiliary_evalplotfun 
+  if (!vradaupltfun.isempty ()) odepkg_auxiliary_evalplotfun 
     (vradaupltfun, vradauoutsel, args(1), args(2), vradauextarg, 0);
-  if (!vradauevefun.is_empty ())
+  if (!vradauevefun.isempty ())
     odepkg_auxiliary_evaleventfun (vradauevefun, vtim, args(2), vradauextarg, 0);
 
   // We are calling the core solver and solve the set of ODEs or DAEs
@@ -639,9 +639,9 @@
   octave_value vted = octave_value (XEND);
   octave_value vfin = octave_value (vlastline);
 
-  if (!vradaupltfun.is_empty ()) odepkg_auxiliary_evalplotfun
+  if (!vradaupltfun.isempty ()) odepkg_auxiliary_evalplotfun
     (vradaupltfun, vradauoutsel, vted, vfin, vradauextarg, 2);
-  if (!vradauevefun.is_empty ()) odepkg_auxiliary_evaleventfun
+  if (!vradauevefun.isempty ()) odepkg_auxiliary_evaleventfun
     (vradauevefun, vted, vfin, vradauextarg, 2);
   
   // Get the stats information as an octave_scalar_map if the option 'Stats'
@@ -667,9 +667,9 @@
     vretmap.assign ("x", vtres);
     vretmap.assign ("y", vyres);
     vretmap.assign ("solver", "ode2r");
-    if (!vstatinfo.is_empty ()) // Event implementation
+    if (!vstatinfo.isempty ()) // Event implementation
       vretmap.assign ("stats", vstatinfo);
-    if (!vradauevefun.is_empty ()) {
+    if (!vradauevefun.isempty ()) {
       vretmap.assign ("ie", vradauevesol(0).cell_value ()(1));
       vretmap.assign ("xe", vradauevesol(0).cell_value ()(2));
       vretmap.assign ("ye", vradauevesol(0).cell_value ()(3));
@@ -687,7 +687,7 @@
     vretval(2) = vempty;
     vretval(3) = vempty;
     vretval(4) = vempty;
-    if (!vradauevefun.is_empty ()) {
+    if (!vradauevefun.isempty ()) {
       vretval(2) = vradauevesol(0).cell_value ()(2);
       vretval(3) = vradauevesol(0).cell_value ()(3);
       vretval(4) = vradauevesol(0).cell_value ()(1);
diff -r 1646adc7793b src/odepkg_octsolver_radau5.cc
--- a/src/odepkg_octsolver_radau5.cc	Sun Jan 20 20:52:16 2019 +0100
+++ b/src/odepkg_octsolver_radau5.cc	Sun Jan 20 21:30:32 2019 +0100
@@ -114,7 +114,7 @@
   varin(0) = X; varin(1) = A;
   for (octave_idx_type vcnt = 0; vcnt < vradau5extarg.length (); vcnt++)
     varin(vcnt+2) = vradau5extarg(vcnt);
-  octave_value_list vout = feval (vradau5odefun.function_value (), varin, 1);
+  octave_value_list vout = octave::feval (vradau5odefun.function_value (), varin, 1);
 
   // Return the results from the function evaluation to the Fortran
   // solver, again copy them and don't just create a Fortran vector
@@ -200,14 +200,14 @@
   octave_value vy = octave_value (A);
 
   // Check if an 'Events' function has been set by the user
-  if (!vradau5evefun.is_empty ()) {
+  if (!vradau5evefun.isempty ()) {
     vradau5evesol = odepkg_auxiliary_evaleventfun 
       (vradau5evefun, vt, vy, vradau5extarg, 1);
-    if (!vradau5evesol(0).cell_value ()(0).is_empty ())
+    if (!vradau5evesol(0).cell_value ()(0).isempty ())
       if (vradau5evesol(0).cell_value ()(0).int_value () == 1) {
         ColumnVector vttmp = vradau5evesol(0).cell_value ()(2).column_vector_value ();
         Matrix vrtmp = vradau5evesol(0).cell_value ()(3).matrix_value ();
-        vt = vttmp.extract (vttmp.length () - 1, vttmp.length () - 1);
+        vt = vttmp.extract (vttmp.numel () - 1, vttmp.numel () - 1);
         vy = vrtmp.extract (vrtmp.rows () - 1, 0, vrtmp.rows () - 1, vrtmp.cols () - 1);
         IRTRN = (vradau5evesol(0).cell_value ()(0).int_value () ? -1 : 0);
       }
@@ -219,7 +219,7 @@
 
   // Check if an 'OutputFcn' has been set by the user (including the
   // values of the options for 'OutputSel' and 'Refine')
-  if (!vradau5pltfun.is_empty ()) {
+  if (!vradau5pltfun.isempty ()) {
     if (vradau5refine.int_value () > 0) {
       ColumnVector B(N); double vtb = 0.0;
       for (octave_idx_type vcnt = 1; vcnt < vradau5refine.int_value (); vcnt++) {
@@ -320,8 +320,8 @@
   if (nargin >= 4) {
 
     // Fourth input argument != OdePkg option, need a default structure
-    if (!args(3).is_map ()) {
-      octave_value_list tmp = feval ("odeset", tmp, 1);
+    if (!args(3).isstruct ()) {
+      octave_value_list tmp = octave::feval ("odeset", tmp, 1);
       vodeopt = tmp(0).scalar_map_value ();       // Create a default structure
       for (octave_idx_type vcnt = 3; vcnt < nargin; vcnt++)
         vradau5extarg(vcnt-3) = args(vcnt); // Save arguments in vradau5extarg
@@ -331,7 +331,7 @@
     else if (nargin > 4) {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "ode5r";
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value ();       // Create structure from args(4)
       for (octave_idx_type vcnt = 4; vcnt < nargin; vcnt++)
@@ -342,7 +342,7 @@
     else {
       octave_value_list varin;
       varin(0) = args(3); varin(1) = "ode5r"; // Check structure
-      octave_value_list tmp = feval ("odepkg_structure_check", varin, 1);
+      octave_value_list tmp = octave::feval ("odepkg_structure_check", varin, 1);
       if (error_state) return (vretval);
       vodeopt = tmp(0).scalar_map_value (); // Create a default structure
     }
@@ -350,7 +350,7 @@
   } // if (nargin >= 4)
 
   else { // if nargin == 3, everything else has been checked before
-    octave_value_list tmp = feval ("odeset", tmp, 1);
+    octave_value_list tmp = octave::feval ("odeset", tmp, 1);
     vodeopt = tmp(0).scalar_map_value (); // Create a default structure
   }
 
@@ -362,7 +362,7 @@
   // Implementation of the option RelTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vreltol = vodeopt.contents ("RelTol");
-  if (vreltol.is_empty ()) {
+  if (vreltol.isempty ()) {
     vreltol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"RelTol\" not set, new value %3.1e is used",
@@ -379,7 +379,7 @@
   // Implementation of the option AbsTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vabstol = vodeopt.contents ("AbsTol");
-  if (vabstol.is_empty ()) {
+  if (vabstol.isempty ()) {
     vabstol = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"AbsTol\" not set, new value %3.1e is used",
@@ -409,7 +409,7 @@
   // The option NormControl will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnorm = vodeopt.contents ("NormControl");
-  if (!vnorm.is_empty ())
+  if (!vnorm.isempty ())
     if (vnorm.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"NormControl\" will be ignored by this solver");
@@ -417,14 +417,14 @@
   // The option NonNegative will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vnneg = vodeopt.contents ("NonNegative");
-  if (!vnneg.is_empty ())
+  if (!vnneg.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"NonNegative\" will be ignored by this solver");
 
   // Implementation of the option OutputFcn has been finished, this
   // option can be set by the user to another value than default value
   vradau5pltfun = vodeopt.contents ("OutputFcn");
-  if (vradau5pltfun.is_empty () && nargout == 0) vradau5pltfun = "odeplot";
+  if (vradau5pltfun.isempty () && nargout == 0) vradau5pltfun = "odeplot";
 
   // Implementation of the option OutputSel has been finished, this
   // option can be set by the user to another value than default value
@@ -445,7 +445,7 @@
     error_with_id ("OdePkg:InvalidOption",
       "Fixed time stamps are not supported by this solver");
   }
-  if (vinitstep.is_empty ()) {
+  if (vinitstep.isempty ()) {
     vinitstep = 1.0e-6;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialStep\" not set, new value %3.1e is used",
@@ -455,7 +455,7 @@
   // Implementation of the option MaxStep has been finished, this
   // option can be set by the user to another value than default value
   octave_value vmaxstep = vodeopt.contents ("MaxStep");
-  if (vmaxstep.is_empty () && args(1).length () == 2) {
+  if (vmaxstep.isempty () && args(1).length () == 2) {
     vmaxstep = (args(1).vector_value ()(1) - args(1).vector_value ()(0)) / 12.5;
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MaxStep\" not set, new value %3.1e is used", 
@@ -471,19 +471,19 @@
   // options can be set by the user to another value than default
   vradau5jacfun = vodeopt.contents ("Jacobian");
   octave_idx_type vradau5jac = 0; // We need to set this if no Jac available
-  if (!vradau5jacfun.is_empty ()) vradau5jac = 1;
+  if (!vradau5jacfun.isempty ()) vradau5jac = 1;
 
   // The option JPattern will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vradau5jacpat = vodeopt.contents ("JPattern");
-  if (!vradau5jacpat.is_empty ())
+  if (!vradau5jacpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"JPattern\" will be ignored by this solver");
 
   // The option Vectorized will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vradau5vectorize = vodeopt.contents ("Vectorized");
-  if (!vradau5vectorize.is_empty ())
+  if (!vradau5vectorize.isempty ())
     if (vradau5vectorize.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"Vectorized\" will be ignored by this solver");
@@ -492,7 +492,7 @@
   // options can be set by the user to another value than default
   vradau5mass = vodeopt.contents ("Mass");
   octave_idx_type vradau5mas = 0;
-  if (!vradau5mass.is_empty ()) {
+  if (!vradau5mass.isempty ()) {
     vradau5mas = 1;
     if (vradau5mass.is_function_handle () || vradau5mass.is_inline_function ())
       warning_with_id ("OdePkg:InvalidOption",
@@ -502,7 +502,7 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   vradau5massstate = vodeopt.contents ("MStateDependence");
-  if (!vradau5massstate.is_empty ())
+  if (!vradau5massstate.isempty ())
     if (vradau5massstate.string_value ().compare ("weak") != 0) // 'weak' is default
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MStateDependence\" will be ignored by this solver");
@@ -510,14 +510,14 @@
   // The option MStateDependence will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmvpat = vodeopt.contents ("MvPattern");
-  if (!vmvpat.is_empty ())
+  if (!vmvpat.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MvPattern\" will be ignored by this solver");
 
   // The option MassSingular will be ignored by this solver, the
   // core Fortran solver doesn't support this option
   octave_value vmsing = vodeopt.contents ("MassSingular");
-  if (!vmsing.is_empty ())
+  if (!vmsing.isempty ())
     if (vmsing.string_value ().compare ("maybe") != 0)
       warning_with_id ("OdePkg:InvalidOption",
         "Option \"MassSingular\" will be ignored by this solver");
@@ -525,21 +525,21 @@
   // The option InitialSlope will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vinitslope = vodeopt.contents ("InitialSlope");
-  if (!vinitslope.is_empty ())
+  if (!vinitslope.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"InitialSlope\" will be ignored by this solver");
 
   // The option MaxOrder will be ignored by this solver, the core
   // Fortran solver doesn't support this option
   octave_value vmaxder = vodeopt.contents ("MaxOrder");
-  if (!vmaxder.is_empty ())
+  if (!vmaxder.isempty ())
     warning_with_id ("OdePkg:InvalidOption",
       "Option \"MaxOrder\" will be ignored by this solver");
 
   // The option BDF will be ignored by this solver, the core Fortran
   // solver doesn't support this option
   octave_value vbdf = vodeopt.contents ("BDF");
-  if (!vbdf.is_empty ())
+  if (!vbdf.isempty ())
     if (vbdf.string_value ().compare ("off") != 0)
       warning_with_id ("OdePkg:InvalidOption", 
         "Option \"BDF\" will be ignored by this solver");
@@ -547,7 +547,7 @@
   // Implementation of the option NewtonTol has been finished, this
   // option can be set by the user to another value than default value
   octave_value vNTOL = vodeopt.contents ("NewtonTol");
-  if (vNTOL.is_empty ()) {
+  if (vNTOL.isempty ()) {
     vNTOL = 0;
     warning_with_id ("OdePkg:InvalidOption", 
       "Option \"NewtonTol\" not set, default value is used");
@@ -557,7 +557,7 @@
   // option can be set by the user to another value than default value
   octave_value vmaxnit = 
     vodeopt.contents ("MaxNewtonIterations");
-  if (vmaxnit.is_empty ()) {
+  if (vmaxnit.isempty ()) {
     vmaxnit = 7; warning_with_id ("OdePkg:InvalidOption", 
       "Option \"MaxNewtonIterations\" not set, default value 7 is used");
   }
@@ -611,9 +611,9 @@
   octave_value vtim = args(1).vector_value ()(0);
   octave_value vsol = args(2);
   odepkg_auxiliary_solstore (vtim, vsol, 0);
-  if (!vradau5pltfun.is_empty ()) odepkg_auxiliary_evalplotfun 
+  if (!vradau5pltfun.isempty ()) odepkg_auxiliary_evalplotfun 
     (vradau5pltfun, vradau5outsel, args(1), args(2), vradau5extarg, 0);
-  if (!vradau5evefun.is_empty ())
+  if (!vradau5evefun.isempty ())
     odepkg_auxiliary_evaleventfun (vradau5evefun, vtim, args(2), vradau5extarg, 0);
 
   // octave_stdout <<  "X VALUE=" << X << XEND << std::endl;
@@ -651,9 +651,9 @@
   octave_value vted = octave_value (XEND);
   octave_value vfin = octave_value (vlastline);
 
-  if (!vradau5pltfun.is_empty ()) odepkg_auxiliary_evalplotfun
+  if (!vradau5pltfun.isempty ()) odepkg_auxiliary_evalplotfun
     (vradau5pltfun, vradau5outsel, vted, vfin, vradau5extarg, 2);
-  if (!vradau5evefun.is_empty ()) odepkg_auxiliary_evaleventfun
+  if (!vradau5evefun.isempty ()) odepkg_auxiliary_evaleventfun
     (vradau5evefun, vted, vfin, vradau5extarg, 2);
   
   // Get the stats information as an octave_scalar_map if the option 'Stats'
@@ -679,9 +679,9 @@
     vretmap.assign ("x", vtres);
     vretmap.assign ("y", vyres);
     vretmap.assign ("solver", "ode5r");
-    if (!vstatinfo.is_empty ()) // Event implementation
+    if (!vstatinfo.isempty ()) // Event implementation
       vretmap.assign ("stats", vstatinfo);
-    if (!vradau5evefun.is_empty ()) {
+    if (!vradau5evefun.isempty ()) {
       vretmap.assign ("ie", vradau5evesol(0).cell_value ()(1));
       vretmap.assign ("xe", vradau5evesol(0).cell_value ()(2));
       vretmap.assign ("ye", vradau5evesol(0).cell_value ()(3));
@@ -699,7 +699,7 @@
     vretval(2) = vempty;
     vretval(3) = vempty;
     vretval(4) = vempty;
-    if (!vradau5evefun.is_empty ()) {
+    if (!vradau5evefun.isempty ()) {
       vretval(2) = vradau5evesol(0).cell_value ()(2);
       vretval(3) = vradau5evesol(0).cell_value ()(3);
       vretval(4) = vradau5evesol(0).cell_value ()(1);
